Generate video
curl --request POST \
--url https://api.siray.ai/v1/video/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"audio_enable": false,
"duration": 4,
"images": [
"example_value"
],
"model": "vidu/vidu-q2-pro-se2v",
"prompt": "example_value",
"size": "720p"
}
'import requests
url = "https://api.siray.ai/v1/video/generations"
payload = {
"audio_enable": False,
"duration": 4,
"images": ["example_value"],
"model": "vidu/vidu-q2-pro-se2v",
"prompt": "example_value",
"size": "720p"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
audio_enable: false,
duration: 4,
images: ['example_value'],
model: 'vidu/vidu-q2-pro-se2v',
prompt: 'example_value',
size: '720p'
})
};
fetch('https://api.siray.ai/v1/video/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "success",
"data": {
"task_id": "<string>"
},
"message": "<string>"
}Vidu
Vidu Q2-pro se2v
POST
/
v1
/
video
/
generations
Generate video
Authorizations
Bearer authentication using API key
Body
application/json
Request payload
Request format for video generation models
Fixed duration
Available options:
4, 8 Array of input images, which can be data URL or image URL
Required array length:
2 elementsModel name to use for the request
Available options:
vidu/vidu-q2-pro-se2v Text prompt for generation
Size
Available options:
720p, 1080p Whether to generate audio along with video
Response
200 - application/json
Successful response
⌘I
